var fs = require("fs")

function route(handles, pathname, response) {
    if (typeof handles[pathname] == 'function') {
        handles[pathname](response)
    } else {
        response.writeHead(404, { "Content-Type": "text/html" });
        fs.createReadStream(__dirname + "./404.html", "utf-8").pipe(response)
    }
}
module.exports = {
    route
}